[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#559588: Complains about invalid config variable 'todayismidnight'

Package: grepmail
Severity: normal
Tags: patch confirmed


this option is removed in Date::ManIp > 6, as it is now default. I attached
a trivial patch that should be backwards-compatible.

Several more tests fail due to this bug. I've not investigated #549782 as
of now.

Best regards,

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (200, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grepmail depends on:
ii  libmail-mbox-messageparser-pe 1.5002-1   Perl module for processing mbox fo
ii  libtimedate-perl              1.2000-1   collection of modules to manipulat
ii  perl                          5.10.1-11  Larry Wall's Practical Extraction 
ii  perl-base [libscalar-list-uti 5.10.1-11  minimal Perl system

grepmail recommends no packages.

Versions of packages grepmail suggests:
ii  libdate-manip-perl            6.05-1     module for manipulating dates
--- grepmail-5.3033.orig/grepmail
+++ grepmail-5.3033/grepmail
@@ -397,7 +397,7 @@ sub Get_Options
     if (eval 'require Date::Manip')
       my ($version_number) = $Date::Manip::VERSION =~ /^(\d+\.\d+)/;
-      Date::Manip::Date_Init("TodayIsMidnight=1") if $version_number >= 5.43;
+      Date::Manip::Date_Init("TodayIsMidnight=1") if $version_number >= 5.43 and $version_number < 6;

Reply to: